package market.Qms.slmord.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.slmord.mapper.SlmOrdDesignMscDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_MSC_D", namespace=SlmOrdDesignMscDMapper.class)
public class SlmOrdDesignMscD extends BaseVO implements Serializable { 
    @Column 
    private String design_key;
    /**
    *DESIGN_KEY
    */
    public String getDesign_key(){
         return this.design_key;
    }
    /**
    *DESIGN_KEY
    */
    public void setDesign_key(String design_key){
         this.design_key=design_key;
    }

    @Column 
    private String contract_line_no;
    /**
    *CONTRACT_LINE_NO（产品对应具体规格的唯一识别码）
    */
    public String getContract_line_no(){
         return this.contract_line_no;
    }
    /**
    *CONTRACT_LINE_NO（产品对应具体规格的唯一识别码）
    */
    public void setContract_line_no(String contract_line_no){
         this.contract_line_no=contract_line_no;
    }

    @Column 
    private String psc;
    /**
    *产品规范码
    */
    public String getPsc(){
         return this.psc;
    }
    /**
    *产品规范码
    */
    public void setPsc(String psc){
         this.psc=psc;
    }

    @Column 
    private String psc_desc;
    /**
    *产品规范描述
    */
    public String getPsc_desc(){
         return this.psc_desc;
    }
    /**
    *产品规范描述
    */
    public void setPsc_desc(String psc_desc){
         this.psc_desc=psc_desc;
    }

    @Column 
    private String msc;
    /**
    *冶金规范码
    */
    public String getMsc(){
         return this.msc;
    }
    /**
    *冶金规范码
    */
    public void setMsc(String msc){
         this.msc=msc;
    }

    @Column 
    private String msc_desc;
    /**
    *冶金规范描述
    */
    public String getMsc_desc(){
         return this.msc_desc;
    }
    /**
    *冶金规范描述
    */
    public void setMsc_desc(String msc_desc){
         this.msc_desc=msc_desc;
    }

    @Column 
    private String prod_code;
    /**
    *产品名称代码
    */
    public String getProd_code(){
         return this.prod_code;
    }
    /**
    *产品名称代码
    */
    public void setProd_code(String prod_code){
         this.prod_code=prod_code;
    }

    @Column 
    private String prod_name;
    /**
    *产品名称描述
    */
    public String getProd_name(){
         return this.prod_name;
    }
    /**
    *产品名称描述
    */
    public void setProd_name(String prod_name){
         this.prod_name=prod_name;
    }

    @Column 
    private String steel_code;
    /**
    *钢级(牌号)代码
    */
    public String getSteel_code(){
         return this.steel_code;
    }
    /**
    *钢级(牌号)代码
    */
    public void setSteel_code(String steel_code){
         this.steel_code=steel_code;
    }

    @Column 
    private String steel_name;
    /**
    *钢级(牌号)名称
    */
    public String getSteel_name(){
         return this.steel_name;
    }
    /**
    *钢级(牌号)名称
    */
    public void setSteel_name(String steel_name){
         this.steel_name=steel_name;
    }

    @Column 
    private String delivery_state_code;
    /**
    *交货状态代码
    */
    public String getDelivery_state_code(){
         return this.delivery_state_code;
    }
    /**
    *交货状态代码
    */
    public void setDelivery_state_code(String delivery_state_code){
         this.delivery_state_code=delivery_state_code;
    }

    @Column 
    private String delivery_state_desc;
    /**
    *交货状态描述
    */
    public String getDelivery_state_desc(){
         return this.delivery_state_desc;
    }
    /**
    *交货状态描述
    */
    public void setDelivery_state_desc(String delivery_state_desc){
         this.delivery_state_desc=delivery_state_desc;
    }

    @Column 
    private String std_code;
    /**
    *标准代码
    */
    public String getStd_code(){
         return this.std_code;
    }
    /**
    *标准代码
    */
    public void setStd_code(String std_code){
         this.std_code=std_code;
    }

    @Column 
    private String std_name;
    /**
    *标准名称
    */
    public String getStd_name(){
         return this.std_name;
    }
    /**
    *标准名称
    */
    public void setStd_name(String std_name){
         this.std_name=std_name;
    }

    @Column 
    private String memo;
    /**
    *备注
    */
    public String getMemo(){
         return this.memo;
    }
    /**
    *备注
    */
    public void setMemo(String memo){
         this.memo=memo;
    }

    @Column 
    private String validflag;
    /**
    *有效标志(1:有效，0:无效)
    */
    public String getValidflag(){
         return this.validflag;
    }
    /**
    *有效标志(1:有效，0:无效)
    */
    public void setValidflag(String validflag){
         this.validflag=validflag;
    }

    @Column 
    private String create_name;
    /**
    *创建人
    */
    public String getCreate_name(){
         return this.create_name;
    }
    /**
    *创建人
    */
    public void setCreate_name(String create_name){
         this.create_name=create_name;
    }

    @Column 
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;
    /**
    *创建时间
    */
    public Date getCreate_time(){
         return this.create_time;
    }
    /**
    *创建时间
    */
    public void setCreate_time(Date create_time){
         this.create_time=create_time;
    }

    @Column 
    private String update_name;
    /**
    *修改人
    */
    public String getUpdate_name(){
         return this.update_name;
    }
    /**
    *修改人
    */
    public void setUpdate_name(String update_name){
         this.update_name=update_name;
    }

    @Column 
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;
    /**
    *修改时间
    */
    public Date getUpdate_time(){
         return this.update_time;
    }
    /**
    *修改时间
    */
    public void setUpdate_time(Date update_time){
         this.update_time=update_time;
    }

    @Column 
    private String delete_name;
    /**
    *删除人
    */
    public String getDelete_name(){
         return this.delete_name;
    }
    /**
    *删除人
    */
    public void setDelete_name(String delete_name){
         this.delete_name=delete_name;
    }

    @Column 
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date delete_time;
    /**
    *删除时间
    */
    public Date getDelete_time(){
         return this.delete_time;
    }
    /**
    *删除时间
    */
    public void setDelete_time(Date delete_time){
         this.delete_time=delete_time;
    }

}